keyring-class {planor} | R Documentation

## Class keyring

### Description

An S4 class to represent a list of design-key matrices which are associated with the same prime and which represent alternative solutions to the same design specifications.

### Objects from the Class

Each component of the structure returned by `planor.designkey` is a `keyring` object when the case is not recursive.

### Slots

.Data

  a list of `keymatrix` objects.

p

  a prime number.

LIB

  a list containing a vector of row names and a vector of column names. The names are the same for all key matrices.

pseudo.info

  a dataframe containing information on the pseudofactors associated with the key matrices. See the description of the class `designfactors`.

### Extends

Class `list`, from data part. Class `vector`, by class list, distance 2.

### Methods

show

  display the object. See `show` method.

summary

  summarize the design properties. See `summary` method.

### Note

Each key matrix in a `keyring` object is a possible solution to the same factors, model and estimate specifications, with respect to the same prime number. An object of class `listofkeyrings` is a list of `keyring` objects associated with the different primes involved in a given factorial design problem.

### Author(s)

Monod, H. and Bouvier, A.

### See Also

`planor.designkey`, methods `pick.listofkeyrings` and `summary.keymatrix`, the class `keyring`

### Examples

    showClass("keyring")
    ### Creation of a listofkeyrings object
    K0 <- planor.designkey(factors=c("block", LETTERS[1:4]), nlevels=rep(3,5),
      model=~block+(A+B+C+D)^2, estimate=~A+B+C+D,
      nunits=3^3, base=~A+B+C, max.sol=2)
    ### Show a keyring component of K0
    show(K0[[1]])

[Package planor version 1.5-1 Index]